<?php
header("Access-Control-Allow-Origin: {$_SERVER['HTTP_ORIGIN']}");
header('Access-Control-Allow-Credentials: true');
header("Access-Control-Allow-Methods: GET");
header('Content-Type: application/json');

if(!isset($_GET['id']) || empty($_GET['id'])) {
echo '{"status" : "error", "msg" : "Invalid request"}';
exit;
}

if(!isset($_GET['tid']) || empty($_GET['tid'])) {
echo '{"status" : "error", "msg" : "Invalid request"}';
exit;
}

if(!isset($_COOKIE['id'])) {
echo '{"status" : "error", "msg" : "Invalid request"}';
exit;
}


if(!isset($_GET['mid']) || empty($_GET['mid'])) {
echo '{"status" : "error", "msg" : "Invalid request"}';
exit;
}

if(!isset($_GET['status']) || empty($_GET['status'])) {
echo '{"status" : "error", "msg" : "Invalid request"}';
exit;
}

if($_GET['status'] != 'ok' && $_GET['status'] != 'denied') {
echo '{"status" : "error", "msg" : "Method not allowed"}';
exit;
}

if($_GET['status'] === 'ok') {
if(!isset($_GET['toext']) || empty($_GET['toext'])) {
echo '{"status" : "error", "msg" : "Invalid request"}';
exit;
}
}


$context = $_GET['id'];
$tid = $_GET['tid'];
$cid = $_COOKIE['id'];
$toext = '';
$mid = $_GET['mid'];
$status = $_GET['status'];

if($status === 'ok') {
$toext = $_GET['toext'];
}


echo '{"status" : "ok", "msg" : "Request queued", "fext" : "2001", "fname" : "TEST"}';
die();


$dsn = "cassandra:host=127.0.0.1;port=9160";
$db = new PDO($dsn);
$db->exec("USE infinitecalls");
$db->setAttribute(PDO::CASSANDRA_ATTR_CONSISTENCYLEVEL, PDO::CASSANDRA_CONSISTENCYLEVEL_ALL);





/* get the fext for chat session */

$stmt = $db->prepare("SELECT fext, fname FROM callrequest WHERE context=:context AND mid=:mid") or die($db->errorInfo());

$stmt->bindValue(':context', $context);
$stmt->bindValue(':mid', $mid, PDO::CASSANDRA_UUID);
$stmt->execute() or die(json_encode($db->errorInfo()));
$result = $stmt->fetchAll();

if(count($result) <= 0) {
echo '{"status" : "error", "msg" : "No such action"}';
exit;
}

$stmt = $db->prepare("UPDATE callrequest SET ack1=1, status=:status, toext=:toext WHERE context=:context AND mid=:mid") or die($db->errorInfo());

$stmt->bindValue(':context', $context);
$stmt->bindValue(':mid', $mid, PDO::CASSANDRA_UUID);
$stmt->bindValue(':toext', $toext);
$stmt->bindValue(':status', $status);
$stmt->execute() or die(json_encode($db->errorInfo()));

echo '{"status" : "ok", "msg" : "Request queued", "fext" : "'.$result[0]['fext'].'", "fname" : "'.$result[0]['fname'].'"}';

?>
